Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jprocessunit.addon.jpd.util
Class SOAPUtil

    java.lang.Object
      org.jprocessunit.addon.jpd.util.SOAPUtil

    public class SOAPUtil

extends java.lang.Object

Constructor Summary
`SOAPUtil()`

Method Summary
`static java.lang.String` | `createNewConversationId()`
`static javax.xml.soap.SOAPMessage` | `createResponse(java.lang.String responseOperation)`
`static java.lang.String` | `createSOAPEnvelope(java.lang.String bodyContent, java.lang.String conversationId)`
`static java.lang.String` | `getResponseConversationId(javax.xml.soap.SOAPMessage request)`
`static javax.xml.soap.SOAPElement` | `getResponseOperationElement(javax.xml.soap.SOAPMessage request)`
`static javax.xml.soap.SOAPElement` | `sendSOAPEnvelope(java.lang.String soapEnvelope, java.lang.String targetURI)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SOAPUtil

    public SOAPUtil()

Method Detail

### createSOAPEnvelope

    public static java.lang.String createSOAPEnvelope(java.lang.String bodyContent,
                                                      java.lang.String conversationId)

### createNewConversationId

    public static java.lang.String createNewConversationId()

### sendSOAPEnvelope

    public static javax.xml.soap.SOAPElement sendSOAPEnvelope(java.lang.String soapEnvelope,
                                                              java.lang.String targetURI)

### getResponseOperationElement

    public static javax.xml.soap.SOAPElement getResponseOperationElement(javax.xml.soap.SOAPMessage request)

### getResponseConversationId

    public static java.lang.String getResponseConversationId(javax.xml.soap.SOAPMessage request)

### createResponse

    public static javax.xml.soap.SOAPMessage createResponse(java.lang.String responseOperation)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

JProcessUnit API